// Main procedure for 3-in-1 time and temperature.
// Written by Boomer48: April 2019

//#define Clock_only
//#define Weather_only

#include "LCD_4Bit.h"

#ifdef Clock_only
#define Dual_Clock // Displays both local time and UTC time
#endif

#ifndef Weather_only
#include "GPS_Clock.h"
#endif

#ifdef Weather_only
#define Dual_Weather
#endif

#ifndef Clock_only
#include "AcuRite_Receiver.h"
#endif

void setup() {
  LCD_setup();
  
#ifndef Weather_only
  GPS_Clock_setup();
#endif

#ifndef Clock_only
  RF_setup();
#endif
}

void loop() {
  LCD_Line1();
  
#ifndef Weather_only
  GPS_Clock_loop();
#endif

#ifndef Clock_only
#ifndef Weather_only
  LCD_Line2();
#endif
  RF_loop();
#endif
}
